using Inspectron.Settings;

namespace VisionBuilder.UI.Common;

public class CameraSettings : ISettings
{
    public string CameraName { get; }

    public CameraSettings(string cameraName)
    {
        CameraName = cameraName;
    }

    public enum EImageSource
    {
        Emulation,
        Hawkeye,
        IDS,
        Basler,
        Libcamera

    }

    public EImageSource CameraSource { get; set; }
    public string CameraLabel { get; set; }

    public void RegisterSettings(InspectronSettings settings)
    {
        settings.RegisterSimple(this, () => this.CameraSource, CameraName, "Image source");
        settings.RegisterSimple(this, () => this.CameraLabel, CameraName, "Label");
    }
}